.nav-hamburger {
  grid-area: hamburger;
  height: 1.375rem;
  display: none;
  align-items: center;
}

.nav-hamburger button {
  margin: 0;
  border: 0;
  border-radius: 0;
  padding: 0;
  background-color: var(--background-color);
  color: inherit;
  overflow: initial;
  text-overflow: initial;
  white-space: initial;
  cursor: pointer;
}

.hide-header {
  transform: translateY(-100%);
}

.nav-hamburger-icon::after {
  content: '';
  background: url('/icons/hamburger.svg');
  width: 24px;
  height: 24px;
  display: block;
}

.navbar .right .language::after {
  content: '';
  display: inline-block;
  width: 16px;
  height: 16px;
  background-image: url('/icons/collapes.svg');
  background-size: contain;
  background-repeat: no-repeat;
  margin-top: 1px;
}
.navbar .right .contact-wrapper {
  display: flex;
  justify-content: flex-end;
  width: auto;
  @media (width >=1200px) {
    width: 150px;
    padding-right: 20px;
  }
  .user__contact {
    .user__contact-title {
      font-size: 14px;
      line-height: normal;
      font-weight: 400;
      padding-top: 0;
      cursor: pointer;
      display: none;
      @media (width >=1200px) {
        display: block;
      }
      &.icon-phone {
        background-image: url(/icons/call-blue.svg);
        background-repeat: no-repeat;
        background-position: center;
        display: block;
        width: 24px;
        height: 24px;
        @media (width >=1200px) {
          display: none;
        }
      }
    }
    .user__contact-title::after {
      width: 17.5px;
      height: 17.5px;
      content: '';
      background-image: url(/icons/dropdown-arrow-down.svg);
      position: absolute;
      background-position: center;
      display: none;
      @media (width >=1200px) {
        display: inline;
        margin-left: 7px;
      }
    }
    .user__contact__icons {
      position: absolute;
      top: 45px;
      right: 0px;
      padding: 10px;
      z-index: 999;
      background: white;
      &.hidden {
        display: none;
      }
      @media (width >=1200px) {
        top: 64px;
        right: 50px;
      }
    }
    .contact-toggle-box {
      position: absolute;
      top: 88px;
      right: 83px;
      z-index: 99;
      background: white;
      @media (width >=1200px) {
        top: 108px;
        right: 121px;
      }
    }
  }
}

.header-wrapper.sticky {
  position: sticky;
  top: 0;
  width: 100%;
  z-index: 997;
  background-color: var(--tertiary-white);
  box-shadow: 0 2px 4px rgb(0 0 0 / 10%);
  height: 74px;
}

@media (width >=768px) {
  header nav .nav-hamburger {
    display: none;
    visibility: hidden;
  }
}

.navbar {
  display: flex;
  justify-content: space-between;
  background-color: var(--tertiary-white);
  height: 74px;
}

.nav-hamburger,
.car-icon {
  padding-top: 1px;
}

.navbar .links {
  display: flex;
  height: 100%;
  align-items: center;

  @media (width >= 1200px) {
    min-width: 444px;
    justify-content: center;
  }
}

.navbar .links .link-title {
  text-decoration: none;
  color: var(--secondary-gray-800);
  cursor: pointer;
  font-size: 14px;
  font-family: var(--body-font-arena);
  height: 100%;
  display: flex;
  align-items: center;
  padding: 0 20px;
  border-bottom: 3px solid transparent;
  a {
    padding: 0;
    color: var(--secondary-gray-800);
    font-weight: 400;
    font-size: 14px;
  }

  img {
    height: auto;
  }

  @media (width >= 1024px) {
    color: var(--secondary-gray-800);
  }

  @media (width >= 1200px) {
    font-weight: var(--fw-400);
    line-height: 20px;
    padding: 0 16px;

    &:first-child {
      padding-left: 0;
    }
  }
}

.navbar .links .link-title span {
  white-space: nowrap;
}

.navbar .links .link-title:hover {
  color: var(--primary-text);
  font-weight: var(--fw-700);
}

.navbar .right .language {
  text-decoration: none;
  cursor: pointer;
  font-size: 14px;
  font-family: var(--body-font-family);
  height: -webkit-fill-available;
  display: none;
  align-items: center;
  color: var(--secondary-gray-800);
  margin-right: 24px;
}

.navbar .right#nav-right .language {
  display: none;
}

.navbar-arena .links .link-title:hover,
.navbar-arena .links .link-title.active {
  color: var(--primary-text);
  font-weight: var(--fw-600);

  &:first-child {
    @media (width >= 1200px) {
      padding-left: 0;
    }
  }

  @media (width >= 1200px) {
    padding: 0 16.78px;
  }
}

.navbar-arena {
  padding: 16px 20px 14px;
}

/* fix  for arena */
.navbar-arena .logo img {
  width: 179px;
  height: 26px;
}

.navbar .right {
  display: flex;
  align-items: center;
  gap: 10px;
  min-width: fit-content;
}

.navbar .right > img {
  height: 30px;
  cursor: pointer;
}

.menu,
.car-filter-menu {
  width: 100%;
  max-width: 100%;
  background-color: white;
  box-shadow: 0 2px 4px rgb(0 0 0 / 10%);
  position: fixed;
  height: 100%;
  overflow: auto;
  top: 0;
  z-index: 999;
}

.menu-header,
.car-panel-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 10px 20px;
  border-bottom: 1px solid #ddd;
}

.back-arrow {
  height: 22px;
  width: 20px;
  background-image: url('/icons/chevron_left.svg');
}

.close-icon {
  height: 20px;
  width: 20px;
  background-image: url('/icons/close.svg');
}

.menu-header .back-arrow,
.menu-header .close-icon {
  cursor: pointer;
  font-size: 24px;
}

.menu-list {
  list-style: none;
  padding: 0;
  margin: 0;
}

.menu-list > li {
  display: flex;
  align-items: center;
  padding: 15px 20px;
  border-bottom: 1px solid #f1f1f1;
  cursor: pointer;
}

.menu-list > li:hover {
  border-bottom: 1px solid #dfdfdf;
}

.menu-list > li > a,
.menu-list .sign-in-btn {
  display: flex;
  align-items: center;
  font-size: 14px;
  gap: 0;
  padding-bottom: 0;
}

.menu-list li .icon,
.menu-list .user__account__list-icon {
  font-size: 20px;
  color: gray;
  padding: 4px;
  background-color: #f7f7f7;
}

.menu-list li.accordion.nav-link.active .icon {
  background-color: var(--fill-inside);
}

.menu-list li .expand-icon {
  margin-left: auto;
  font-size: 16px;
  color: gray;
}

.menu-list li.contact-us {
  flex-direction: column;
  align-items: flex-start;
}

.menu-list li.contact-us .contact-icons {
  display: flex;
  gap: 10px;
  margin-top: 10px;
}

.menu-arena .menu-list .nav-link .icon {
  margin-right: 0;
  min-width: 24px;
  min-height: 24px;
}

.menu-list li.contact-us .contact-icons .icon {
  font-size: 24px;
}

.user__contact__icons a:hover {
  background-color: #f2f2f2;
}

.menu-arena .menu-header .menu-title {
  font-family: var(--body-font-family);
  font-size: 1.1rem;
  font-style: normal;
  font-weight: var(--fw-500);
  line-height: 1.5rem;
  color: var(--primary-text);
}

.menu .menu-list li .menu-title {
  font-size: 14px;
  font-family: var(--body-font-arena);
  a {
    padding: 0;
    color: #212529;
    font-weight: var(--fw-400);
  }
}

.menu-title-clicked {
  font-weight: var(--fw-700);
  color: var(--primary-text);
}

.menu-btn {
  display: none;
}

.car-icon {
  display: none;
}

.menu .accordion::after {
  content: url('/icons/expand_more.svg');
  color: #777;
  font-weight: var(--fw-700);
  position: absolute;
  right: 20px;
}

.menu .active::after {
  content: url('/icons/expand_less.svg');
}

.panel {
  padding: 0 18px;
  background-color: white;
  max-height: 0;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
}

.desktop-panel {
  display: none;
  visibility: hidden;
  position: absolute;
  top: var(--nav-height);
  right: 0;
  width: 100%;
  background-color: #f4f4f4;
  padding: 10px;
  z-index: 10;
  transition: opacity 0.3s ease;
  opacity: 0;
  box-shadow: 0 3px 5px rgb(0 0 0 / 10%);
  max-height: max-content;
}

.navbar .links .link-title:hover + .desktop-panel,
.desktop-panel:hover {
  display: flex;
  opacity: 1;
  visibility: visible;
}

.car-panel-header {
  background-color: #18171a;

  .car-text {
    color: var(--tertiary-white);
    font-family: var(--body-font-arena);
    font-size: 16px;
    font-style: normal;
    font-weight: var(--fw-500);
    line-height: 20px;
  }

  .car-filter-close img {
    vertical-align: middle;
  }
}

.car-filter-arena .car-panel-header {
  background-color: white;

  .car-text {
    color: var(--primary-text);
    font-family: var(--body-font-family);
    font-feature-settings:
      'clig' off,
      'liga' off;
    font-size: 18px;
    font-weight: var(--fw-500);
    line-height: 24px;
  }
}

@media (width <=1200px) {
  .navbar .links,
  .navbar .right .language,
  .navbar .right #user-img,
  .navbar .right .sign-in-wrapper {
    display: none;
  }

  .navbar .right {
    position: static;
    top: var(--nav-height);
    right: 0;
    left: 0;
    display: block;
    z-index: 12;
  }

  .navbar .right.blur {
    position: absolute;
    top: var(--nav-height);
    right: 0;
    left: 0;
    height: calc(100vh - var(--nav-height));
    display: block;
    background: rgba(0, 0, 0, 0.5);
    z-index: 12;
  }

  .car-icon {
    display: block;
    cursor: pointer;
  }

  .nav-hamburger {
    display: flex;
  }
}

.panel .link-container-section {
  flex-direction: column;
  gap: 0;
}

.panel .link-grid,
.panel .teaser {
  box-sizing: border-box;
}

.panel .link-grid-column {
  width: 100%;
}

.panel .link-grid-column .links-container li a {
  padding: 14px 32px;
  font-size: 12px;
  line-height: 16px;
  min-height: auto;
  font-family: var(--body-font-arena);
}

.panel .accordian-item,
.panel .teaser {
  display: none;
}

.menu-arena .menu-list .links-container.accordian-content {
  gap: 0;
  margin-top: 0px;
  padding-bottom: 0;
  flex-direction: column;
}

.menu-arena .menu-list .links-container.accordian-content li {
  border-bottom: none;
  padding: 0;
  gap: 1rem;
}

.menu-arena .menu-list .links-container.accordian-content li a {
  display: block;
  padding: 0.75rem 2.5rem !important;
  font-size: 0.875rem;
  line-height: 1.25rem;
  color: var(--tertiary-black) !important;
}

.menu-arena .menu-list .corporate + .panel .links-container.accordian-content li:not(:first-child) a {
  padding-left: 60px !important;
}

.menu-arena .menu-list .more + .panel .links-container.accordian-content li p {
  display: none;
}

.menu-arena .menu-list .links-container.accordian-content li a:hover {
  background-color: var(--secondary-gray-100);
}

.menu-arena .menu-list li {
  border-bottom: none;
  padding: 1.125rem;
  gap: 1rem;
}

.panel .link-grid-column .links-container li:hover {
  a {
    color: black;
  }
}

@media (width >=768px) {
  .navbar {
    height: 64px;
  }

  .navbar-arena {
    padding: 11px 24px 11px 52px;
  }

  .header-wrapper.sticky {
    height: 64px;
  }

  .logo-wrapper {
    height: 26px;
  }

  .buy.panel,
  .owners.panel {
    display: flex;
    padding: 32px 64px;
    background-color: var(--nav-background-color);
    flex-wrap: wrap;
  }

  .panel .link-container-section {
    flex-direction: row;
  }

  .panel .accordian-item,
  .panel .teaser {
    display: block;
  }

  .panel .teaser__pretitle p,
  .panel .teaser__title h3,
  .panel .teaser__actions a {
    font-family: var(--body-font-arena);
  }

  .panel .link-grid-column .links-container,
  .panel .link-grid-column .accordian-item {
    padding: 0;
  }

  .panel .teaser__actions a {
    position: relative;
    font-size: 16px;
    font-weight: var(--fw-400);
    line-height: 20px;
    background: none;
    color: #18171a;
    padding: 0 28px 4px 0;
    border-radius: 0;
    border: none;
    box-shadow: none;
    border-bottom: 1px solid #18171a;
    margin-bottom: 0;
    margin-top: 30px;
  }

  .panel .link-grid-column .links-container li {
    a {
      padding: 0;
      font-size: 14px;
      line-height: 20px;
    }

    &:hover {
      border: 0;
    }
  }

  .panel .link-grid {
    flex: 1 1 55%;
  }

  .panel .teaser {
    flex: 1 1 45%;
  }

  .panel .teaser__card {
    display: flex;
    margin: 0;
    border: 0;
    box-shadow: none;
    border-radius: 4px;
    background: var(--gradient-1, linear-gradient(60deg, #c9d3d7 3.71%, #ebebeb 104.51%));
  }

  .panel .teaser__image {
    display: flex;
  }

  .panel .teaser__image picture {
    width: 100%;
    display: flex;
  }

  .panel .teaser__image img {
    clip-path: polygon(0 0, 100% 0, 100% 80%, 85% 100%, 0 100%);
  }

  .panel .teaser__content {
    padding: 24px;
  }

  .panel .teaser__pretitle p {
    margin: 0 0 8px;
    font-size: 18px;
    font-weight: var(--fw-500);
    line-height: 22px;
  }

  .panel .teaser__title h3 {
    font-size: 16px;
    font-weight: var(--fw-300);
    line-height: 20px;
    margin-bottom: 24px;
  }

  .panel .teaser__actions a::after {
    content: url('/icons/arrow.svg');
    position: absolute;
    right: 0;
    bottom: 0;
  }

  #user-img {
    cursor: pointer;
    height: 40px;
    background-size: 40px 40px;
    width: 40px;
    background-image: url('/icons/user-avatar.svg');
  }
}

/* arena */

@media (width >=768px) {
  .arena.panel {
    padding: 32px 64px;
    background-color: var(--nav-background-color);
  }
  .sales.panel {
    padding: 32px 64px;
    background-color: var(--nav-background-color);
  }

  .navbar-arena .desktop-panel.panel {
    z-index: 999;
  }

  .navbar-arena .desktop-panel.panel.cars {
    position: absolute;
    top: var(--nav-height);
    height: 100%;
  }

  .arena.panel .link-grid-column .links-container {
    flex-direction: row;
    gap: 56px;
  }

  .arena.panel .link-grid-column .links-container a {
    color: black;
    min-height: auto;
  }

  .sales.panel .link-grid-column .links-container {
    flex-direction: row;
    gap: 56px;
  }

  .sales.panel .link-grid-column .links-container a {
    color: black;
    min-height: auto;
  }
}

.menu-arena .menu-header {
  padding: 20px;
}

.menu-arena .menu-header .back-arrow {
  background-image: url('data:image/svg+xml,<svg xmlns="http://www.w3.org/2000/svg" width="24" height="24" viewBox="0 0 24 24" fill="none"><path d="M10.0014 21.6537L0.347656 11.9999L10.0014 2.34619L11.4207 3.76544L3.18591 11.9999L11.4207 20.2344L10.0014 21.6537Z" fill="black"/></svg>');
}

.menu-arena .menu-list {
  padding-top: 0.6rem;
}

.menu-arena .menu-list li.accordion.search::after,
.menu-arena .menu-list li.accordion.compare::after {
  display: none;
}

.menu-arena .user__account--link {
  gap: 1rem;
}

.menu-arena .user__account--link .user__account__list-icon {
  margin-right: 0;
}

.menu-arena .contact-wrapper .user__contact h4 {
  font-family: var(--body-font-family);
  font-size: 0.9rem;
  font-style: normal;
  font-weight: var(--fw-600);
  line-height: 1.3rem;
  text-transform: inherit;
}

.menu-arena .panel .teaser {
  display: none;
}

.menu-arena .panel .links-container {
  padding-bottom: 24px;
  margin-top: 24px;
  border-bottom: 1px solid #ddd;
}

.menu-arena .panel .link-grid-column:last-child .links-container {
  border-bottom: 0;
}

.menu-arena .panel .link-grid-column .links-container li a {
  padding: 14px 12px;
  color: var(--secondary-gray-800);
}

.no-scroll {
  position: fixed;
  top: 0;
  width: 100%;
  z-index: 1000;
  @media (width >=1024px) {
    position: unset;
  }
}
.navbar-arena .panel .link-grid-column .links-container li a:hover {
  color: var(--primary-text);
  background-color: transparent !important;
}

footer .contact-wrapper.collpsable.hide__section {
  height: auto !important;
}

@media (width >=768px) {
  .navbar-arena .panel {
    background-color: var(--tertiary-white);
    box-shadow: 0px 10px 25px 0px rgba(0, 0, 0, 0.25);

    &.cars {
      background-color: white;
      padding: 0;
    }
  }
  .navbar-arena .desktop-panel.panel.corporate li:first-child a {
    font-family: var(--body-font-family);
    text-transform: uppercase;
    font-weight: var(--fw-700);
  }

  .navbar-arena .desktop-panel.panel.sales li a {
    font-family: var(--body-font-family);
    text-transform: uppercase;
    font-weight: var(--fw-700);
  }

  .navbar-arena .desktop-panel.panel.more li {
    a {
      font-weight: var(--fw-700);
    }
    p {
      font-weight: 400;
    }
  }

  .navbar-arena .desktop-panel.panel.arena li a {
    font-family: var(--body-font-family);
    text-transform: uppercase;
    font-weight: var(--fw-700);
  }

  .navbar-arena .link-grid-column .accordian-item.link-column__heading {
    margin: 0 0 24px;
    font-size: 0.875rem;
    text-transform: uppercase;
    font-family: var(--body-font-family);
    color: var(--tertiary-black);
    font-weight: var(--fw-700);
  }

  .navbar-arena .panel .link-grid {
    flex-basis: 100%;
  }

  .navbar-arena .card-list-teaser {
    padding-bottom: 40px;
  }

  .navbar-arena .card-list-teaser .card-list {
    overflow-y: scroll;
  }

  .navbar-arena .panel .links-container {
    border-bottom: none;
    gap: 13px;
  }

  .navbar-arena .panel .link-container-section {
    display: flex;
    justify-content: center;
    gap: 9%;
  }

  .navbar-arena .panel .link-grid-column {
    width: auto;
    flex: 0 1 auto;
  }

  .navbar-arena .panel .link-grid-column .links-container li a {
    color: black;
  }

  footer .contact-wrapper.collpsable.hide__section {
    height: 0 !important;
  }
}

@media (width >= 1024px) {
  .navbar {
    align-items: center;
  }

  .navbar-arena {
    padding: 0 56px;
  }

  .navbar .right {
    top: 18px;
    right: 83px;
    left: auto;
    display: flex;
  }

  .navbar .right .language {
    display: flex;
    font-weight: var(--fw-500);
    line-height: normal;
  }

  .navbar-arena .panel .links-container {
    gap: 12px;
  }

  .buy.panel,
  .owners.panel,
  .corporate.panel,
  .more.panel {
    padding: 1.5rem 3.5rem;
  }

  .navbar-arena .link-grid-column .accordian-item.link-column__heading {
    margin: 0 0 1rem;
  }
}

@media (width >=768px) and (width <=1024px) {
  .navbar .links .link-title {
    padding: 0 6px;
    font-size: 0.875rem;
    white-space: nowrap;
  }

  .navbar.navbar-arena .logo-wrapper .logo img {
    width: 179px;
  }

  .navbar .right {
    gap: 6px;
    min-width: fit-content;
  }

  .navbar .right .language {
    font-size: 0.75rem;
  }

  #user-img {
    cursor: pointer;
    height: 30px;
    background-size: 30px 30px;
    width: 30px;
  }
}

@media (width>=1366px) {
  .navbar-arena .logo img {
    width: 268px;
    height: 38px;
  }

  .navbar .links .link-title:nth-last-child(2) {
    padding-right: 0;
  }

  .navbar .right {
    gap: 32px;
  }

  .navbar-arena.navbar .right .language {
    font-weight: var(--fw-400);
    line-height: 24px;
    margin-right: 0;
    align-items: center;
    justify-content: center;
    display: flex;
  }
  .logo-wrapper {
    height: 38px;
  }
  .panel .teaser__actions a {
    margin-top: 0px;
    &:after {
      display: none;
    }
  }
}

@media (width>=1920px) {
  .navbar-arena .logo img {
    width: 268px;
  }

  .navbar .links {
    gap: 37px;
  }

  .navbar-arena.navbar .right {
    gap: 36px;
  }
}

.corp-header {
  .navbar {
    @media (width >= 1200px) {
      padding: 0 56px;
    }
  }

  .button,
  a.button,
  button.button,
  input[type='button'],
  input[type='submit'],
  input[type='reset'] {
    transition: none;
  }
}

.section.highlights-container {
  .highlights.block,
  .highlight-items-container {
    @media (width >= 1200px) {
      grid-template-columns: repeat(5, 1fr);
      .highlight-container {
        grid-template-rows: auto 184px;
        min-width: unset;
        .highlight__top {
          padding: 64px 1rem 0 1rem;
          gap: 22px;
          .highlightIcon {
            min-height: 3rem;
            width: 3rem;
          }
        }
        .highlight__top__description {
          height: 72px;
          flex: 1;
          border-bottom: 1px solid var(--grey-shade-12);
          margin: 0 0.25rem;
          padding-bottom: 0.5rem;

          * {
            color: var(--grey-shade-11);
            font-weight: 300;
            font-size: 1.125rem;
            line-height: 1.5rem;
            display: -webkit-box;
            -webkit-line-clamp: 4;
            overflow: hidden;
            -webkit-box-orient: vertical;
          }
        }
        .h-title {
          color: var(--neutrals-headings);
          font-size: 2rem;
          line-height: 2.375rem;
          font-weight: 700;
          width: 100%;
        }
        .saperater {
          display: none;
        }
        .bottom__content {
          display: flex;
          height: 100%;
          padding: 1.5rem 1rem 1rem;
          .btm-title {
            flex-direction: column;
            gap: 6px;
            flex: 1;
            .arrow-link {
              align-self: flex-end;
              width: 60px;
              height: 60px;
              background: url('data:image/svg+xml, <svg xmlns="http://www.w3.org/2000/svg" width="60" height="60" viewBox="0 0 60 60" fill="none"><path d="M13.8844 48.75L11.25 46.1156L39.8656 17.5H22.5V13.75H46.25V37.5H42.5V20.1344L13.8844 48.75Z" fill="black"/></svg>');
            }
          }
        }
        .bottom-section:hover {
          .h-title {
            color: var(--tertiary-white);
          }
          .arrow-link {
            background: url('data:image/svg+xml, <svg xmlns="http://www.w3.org/2000/svg" width="60" height="60" viewBox="0 0 60 60" fill="none"><path d="M13.8844 48.75L11.25 46.1156L39.8656 17.5H22.5V13.75H46.25V37.5H42.5V20.1344L13.8844 48.75Z" fill="white"/></svg>');
          }
        }
        .highlight__bottom__description {
          display: none;
        }
      }
    }
  }
  .default-content-wrapper {
    padding-inline: var(--container-margin);
    padding-bottom: 20px;
    :is(h1, h2, h3, h4, h5, h6) {
      border-bottom: 1px solid #d8d8d8;
      font-size: 20px;
      line-height: 24px;
      padding-bottom: 0.5rem;
      margin: 0;
      @media (width>=768px) {
        font-size: 32px;
        line-height: 48px;
        padding-bottom: 0.75rem;
      }
    }
    @media (width>=768px) {
      padding-bottom: 40px;
    }
  }
  .highlight-container {
    .highlight__top__description {
      font-size: 14px;
      font-weight: 300;
    }
    .h-title {
      font-size: 1.5rem;
      font-weight: 400;
      line-height: 1.875rem;
      min-height: auto;
    }
    .bottom-section {
      &:hover {
        text-decoration: none;
      }
    }
  }
}
